image: python:3.6.9
stages:
    #- Static Analysis
    - Test

before_script:
    - python --version
    - pip install nltk
    - pip3 install ml2en
    - pip3 install pandas
    - pip3 install sklearn
    - pip install pyspellchecker
    - python -m nltk.downloader punkt
    - python -m nltk.downloader words

  
# pylint:
#     stage: Static Analysis
#     allow_failure: true
#     script:
#     - pip install pylint
#     - pylint filtering.py
#     - pylint test_filter.py

pytest:
    stage: Test
    script:
    - pip install pytest
    - export PYTHONPATH="$PYTHONPATH:/"
    - python -c "import sys;print(sys.path)"
    - pytest


